<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHabilitationUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('habilitation_users', function (Blueprint $table) {
            $table->primary(['profilsutilisateur_id','habilitation_id']);
            $table->foreignId('profilsutilisateur_id')->constrained();
            $table->foreignId('habilitation_id')->constrained();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('habilitation_users');
    }
}
