<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class TparamsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        
        DB::table("tparams")->insert([
            ["id"=> 1, "cd_tparams" => "Aucun",  "nom_tparams" => "Aucun", "obs_tparams" => "Aucun", "user_id" => 1],
            ["id"=> 2, "cd_tparams" => "PROVINCES",  "nom_tparams" => "Liste des Provinces", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 3, "cd_tparams" => "COMMUNES",  "nom_tparams" => "Liste des communes", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 4, "cd_tparams" => "ARRONDISSEMENTS",  "nom_tparams" => "Liste des arrondissements", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 5, "cd_tparams" => "QUARTIERS",  "nom_tparams" => "Liste des quartiers", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 6, "cd_tparams" => "NATIONALITES",  "nom_tparams" => "Liste des nationalités", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 7, "cd_tparams" => "GENRES",  "nom_tparams" => "Liste des genres", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 8, "cd_tparams" => "STATUT",  "nom_tparams" => "Liste des statut", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 9, "cd_tparams" => "CANDIDATS",  "nom_tparams" => "Liste des candidats", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 10, "cd_tparams" => "TYPES",  "nom_tparams" => "Liste des types d'utilisateurs", "obs_tparams" => "", "user_id" => 1],
            ["id"=> 11, "cd_tparams" => "PAYS",  "nom_tparams" => "Liste des pays", "obs_tparams" => "", "user_id" => 1],
        ]);
    }
}
