
@extends('admin.components.layouts.master', ['title' => 'Liste Départements'])

@section('header_action')
<a href="{{ route('app.admin.departments.create') }}" class="btn btn-sm btn-success">
    Créer Département
</a>
<a href="{{ route('app.admin.departments.deleted') }}" class="btn btn-sm btn-dark">
    Départements supprimés
</a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Liste Départements
    </div>
    <div class="card-body">
        @include('admin.department.section.table', ['displayed' => 'index'])
    </div>
</div>

@endsection