
@extends('admin.components.layouts.master', ['title' => 'Editer Arrondissement'])

@section('header_action')
    <a href="{{ route('app.admin.districts.index') }}" class="btn btn-sm btn-primary">
        Liste Arrondissements
    </a>
    <a href="{{ route('app.admin.districts.create') }}" class="btn btn-sm btn-success">
        Créer Arrondissement
    </a>
@endsection

@section('content')

<div class="row">
    <div class="col-md-3">
        @include('admin.district.section.box-profile', ['page' => 'edit'])
    </div>
    <div class="col-md-9">
        <form method="post" action="{{ route('app.admin.districts.update', ['id' =>$district ->_id])}}" class="card"
            data-parsley-validate>

            <div class="card-header">
                <div class="row">
                    <div class="col-9">
                        Editer Arrondissement
                    </div>
                    <div class="col-3 text-right">
                        <button type="submit" class="btn btn-sm btn-primary">
                            Enregistrer
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body">
                @include('admin.district.section.form')
            </div>
        </form>
    </div>
</div>

@endsection

