@extends('admin.components.layouts.master', ['title' => 'Modifier Permission'])

@section('header_action')
    <a href="{{ route('app.admin.permissions.index') }}" class="btn btn-sm btn-dark mx-3">
        Liste des Permissions 
    </a>

    <a href="{{ route('app.admin.permissions.create') }}" class="btn btn-sm btn-primary mx-3">
        Nouvelle Permission
    </a>
@endsection

@section('content')

<div class="row">
    <div class="col-md-3">
        @include('admin.permission.section.box-profile', ['page' => 'edit'])
    </div>
    <div class="col-md-9">
        <form method="post" action="{{ route('app.admin.permissions.update', ['id' =>$permission ->_id])}}" class="card"
            data-parsley-validate>

            <div class="card-header">
                <div class="row">
                    <div class="col-9">
                        Editer Permission
                    </div>
                    <div class="col-3 text-right">
                        <button type="submit" class="btn btn-sm btn-primary">
                            Enregistrer
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body">
                @include('admin.permission.section.form')
            </div>
        </form>
    </div>
</div>

@endsection