@extends('admin.components.layouts.master', ['title' => 'Provinces supprimées'])

@section('header_action')
    <a href="{{ route('app.admin.provinces.create') }}" class="btn btn-sm btn-success">
        Créer Province
    </a>
    <a href="{{ route('app.admin.provinces.index') }}" class="btn btn-sm btn-primary">
        Liste Provinces
    </a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Provinces supprimées
    </div>
    <div class="card-body">
        @include('admin.province.section.table', ['displayed' => 'deleted'])
    </div>
</div>

@endsection

