
@extends('admin.components.layouts.master', ['title' => 'Editer Province'])

@section('header_action')
    <a href="{{ route('app.admin.provinces.index') }}" class="btn btn-sm btn-primary">
        Liste Provinces
    </a>
    <a href="{{ route('app.admin.provinces.create') }}" class="btn btn-sm btn-success">
        Créer Province
    </a>
@endsection

@section('content')

<div class="row">
    <div class="col-md-3">
        @include('admin.province.section.box-profile', ['page' => 'edit'])
    </div>
    <div class="col-md-9">
        <form method="post" action="{{ route('app.admin.provinces.update', ['id' =>$province ->_id])}}" class="card"
            data-parsley-validate>

            <div class="card-header">
                <div class="row">
                    <div class="col-9">
                        Editer Rôle
                    </div>
                    <div class="col-3 text-right">
                        <button type="submit" class="btn btn-sm btn-primary">
                            Enregistrer
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body">
                @include('admin.province.section.form')
            </div>
        </form>
    </div>
</div>

@endsection

