
@extends('admin.components.layouts.master', ['title' => 'Liste Provinces'])

@section('header_action')
<a href="{{ route('app.admin.provinces.create') }}" class="btn btn-sm btn-success">
    Créer Province
</a>
<a href="{{ route('app.admin.provinces.deleted') }}" class="btn btn-sm btn-dark">
    Provinces supprimées
</a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Liste Provinces
    </div>
    <div class="card-body">
        @include('admin.province.section.table', ['displayed' => 'index'])
    </div>
</div>

@endsection