@extends('admin.components.layouts.master', ['title' => 'Liste des utilisateurs'])

@section('header_action')
    <a href="{{ route('app.admin.users.create') }}" class="btn btn-sm btn-primary mx-3">
        Nouveau Utilisateur
    </a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Liste Utilisateurs
    </div>
    <div class="card-body">
        @include('admin.user.section.table', ['displayed' => 'index'])
    </div>
</div>


@endsection