@php
    $tests = Auth::user()->profil->habilitations;
    $droits = array();
    foreach ($tests as $key => $value) {
        $droits[$key] = $value->habilitation->code;
    }
@endphp 
  <!DOCTYPE html>
  <html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title> @yield('titre') </title>

    <!-- Site favicon -->
    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('pageauth/images/alternance.png') }}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ asset('pageauth/images/alternance.png') }}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('pageauth/images/alternance.png') }}">
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset('Paoul/plugins/fontawesome-free/css/all.min.css') }}">

    <!-- Select2 -->
    <link rel="stylesheet" href="{{ asset('Paoul/plugins/select2/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('Paoul/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
    <!-- DataTables -->
    <link rel="stylesheet" href="{{ asset('Paoul/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ asset('Paoul/plugins/datatables-responsive/css/responsive.bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ asset('Paoul/plugins/datatables-buttons/css/buttons.bootstrap4.min.css') }}">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="{{ asset('Paoul/plugins/overlayScrollbars/css/OverlayScrollbars.min.css') }}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset('Paoul/dist/css/adminlte.min.css') }}">
    @yield('header')
    <link rel="stylesheet" href="//cdn.bootcss.com/toastr.js/latest/css/toastr.min.css">
    <style>
        .card-header{
            background-image: url('{{asset('pageauth/images/1.png')}}');
            color: white;
        }
    </style>
  </head>
  <body class="hold-transition sidebar-mini layout-fixed" style="font-family:'Calibri Light'">
  <!-- Site wrapper -->
  <div class="wrapper">
      @yield('preload')
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        {{-- <li class="nav-item d-none d-sm-inline-block">
          <a href="{{ route('profile.show') }}" :active="request()->routeIs('profile.show')" target="_blank" class="nav-link">Profil</a>
        </li> --}}

      </ul>

      <!-- Right navbar links -->
      <ul class="navbar-nav ml-auto">
        

        <li class="nav-item">
          <a class="nav-link" data-widget="fullscreen" data-toggle="tooltip" title="Etendre l'application" href="#" role="button">
            <i class="fas fa-expand-arrows-alt"></i>
          </a>
        </li>
      </ul>
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4"  style="background-image: url('{{asset('pageauth/images/1.png')}}')">
      <!-- Brand Logo -->
      <a href="/" class="brand-link">
        <img src="{{ asset('pageauth/images/alternance.png') }}" alt="" class="brand-image img-circle elevation-3" style="opacity: .8">
        <span class="brand-text font-weight-light"><b>CD-A23</b></span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img src="{{ asset('pageauth/images/alternance.png') }}"  class="img-circle elevation-2" alt="">
          </div>
          <div class="info">
            <a href="/Administration/Utilisateur/{{ Auth::user()->id }}/Détails" class="d-block">{{ Auth::user()->prenom }} {{ Auth::user()->name }}</a>
          </div>
        </div>
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
                with font-awesome or any other icon font library -->

            @if (in_array("00",$droits))
            <li class="nav-item">
              <a href="/" class="nav-link">
                <i class="nav-icon fas fa-tachometer-alt"></i>
                <p>
                  Tableau de bord
                </p>
              </a>
            </li>
            @endif
            @if (in_array("01",$droits))
            <li class="nav-item">
              <a href="#" class="nav-link">
                <i class="nav-icon fas fa-cogs"></i>
                <p>
                    Paramétrages
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/type-de-parametres.ks" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Type de données</p>
                  </a>
                </li>
                @endif
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/parametres.ks" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Données</p>
                  </a>
                </li>
                @endif
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/Parametrages/Provinces" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Provinces</p>
                  </a>
                </li>
                @endif
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/Parametrages/Departements" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Departements</p>
                  </a>
                </li>
                @endif
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/Parametrages/Districts" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Districts</p>
                  </a>
                </li>
                @endif
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/Centres" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Centres</p>
                  </a>
                </li>
                @endif
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/Parametrages/Bureaux" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Bureaux</p>
                  </a>
                </li>
                @endif
              </ul>
            </li>
            @endif
            @if (in_array("03",$droits))
                <li class="nav-item">
                <a href="#" class="nav-link">
                    <i class="nav-icon fas fa-user-shield"></i>
                    <p>
                        Adminstration
                    <i class="fas fa-angle-left right"></i>
                    </p>
                </a>
                <ul class="nav nav-treeview">
                    @if (in_array("03-01",$droits))
                    <li class="nav-item">
                    <a href="/Administration/Roles" class="nav-link">
                        <i class="far fa-circle nav-icon"></i>
                        <p>Habilitations</p>
                    </a>
                    </li>
                    @endif
                    @if (in_array("03-02",$droits))
                    <li class="nav-item">
                    <a href="/Administration/Profils" class="nav-link">
                        <i class="far fa-circle nav-icon"></i>
                        <p>Profils utilisateurs</p>
                    </a>
                    </li>
                    @endif
                    @if (in_array("03-03",$droits))
                    <li class="nav-item">
                    <a href="/Administration/Utilisateurs" class="nav-link">
                        <i class="far fa-circle nav-icon"></i>
                        <p>Gestion des utilisateurs</p>
                    </a>
                    </li>
                    @endif
                </ul>
                </li>
            @endif
            @if (in_array("01",$droits))
            <li class="nav-item">
              <a href="#" class="nav-link">
                <i class="nav-icon fas fa-cog"></i>
                <p>
                  Gestion
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/Resultats/Enregistrement" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Ajouter Résultats</p>
                  </a>
                </li>
                @endif
              </ul>
            </li>
            @endif
            @if (in_array("01",$droits))
            <li class="nav-item">
              <a href="#" class="nav-link">
                <i class="nav-icon fas fa-chart-pie"></i>
                <p>
                  Reporting
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                @if (in_array("01",$droits))
                <li class="nav-item">
                  <a href="/Reporting/Général" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Etat Général</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="/Reporting/Province" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Par Province</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="/Reporting/Bureau" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Par Bureau</p>
                  </a>
                </li>
                @endif
              </ul>
            </li>
            @endif
            <li class="nav-item">
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <a href="{{ route('logout') }}" class="nav-link" onclick="event.preventDefault();this.closest('form').submit();">
                        <i class="nav-icon fas fa-power-off "></i>
                        <p>Déconexion</p>
                    </a>
                </form>
            </li>
          </ul>
        </nav>
        <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">

      @yield('content')

    </div>
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
  </div>
  <!-- /wrapper -->

  <!-- jQuery -->
  <script src="{{ asset('Paoul/plugins/jquery/jquery.min.js') }}"></scrip>
  <script src="{{ asset('Paoul/plugins/jquery-ui/jquery-ui.min.js') }}"></script>
  <!-- Select2 -->
  <script src="{{ asset('Paoul/plugins/select2/js/select2.full.min.js') }}"></script>

  <script>
    $.widget.bridge('uibutton', $.ui.button)
  </script>
  <!-- Bootstrap 4 -->
  <script src="{{ asset('Paoul/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
  <!-- DataTables  & Plugins -->
  <script src="{{ asset('Paoul/plugins/datatables/jquery.dataTables.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-buttons/js/dataTables.buttons.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-buttons/js/buttons.bootstrap4.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/jszip/jszip.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/pdfmake/pdfmake.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/pdfmake/vfs_fonts.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-buttons/js/buttons.html5.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-buttons/js/buttons.print.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/datatables-buttons/js/buttons.colVis.min.js') }}"></script>
  <!-- overlayScrollbars -->
  <script src="{{ asset('Paoul/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>
  <!-- AdminLTE App -->
  <script src="{{ asset('Paoul/dist/js/adminlte.min.js') }}"></script>
  <!-- AdminLTE for demo purposes -->

  <script src="{{ asset('Paoul/plugins/bs-custom-file-input/bs-custom-file-input.min.js') }}"></script>


  <script src="//cdn.bootcss.com/toastr.js/latest/js/toastr.min.js"></script>
  {!! Toastr::message() !!}

    @yield('footer')

<!-- Page specific script -->
<script>
    $(function () {
      <?php for($i=0; $i<10 ; $i++): ?>
          $('#table<?= $i ?>').DataTable({
          "paging": true,
          "lengthChange": true,
          "searching": true,
          "ordering": true,
          "info": true,
          "autoWidth": false,
          "responsive": true,
          });
      <?php endfor ?>

        $('#example2').DataTable({
        "paging": true,
        "lengthChange": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
        });
        //Initialize Select2 Elements
            $('.select2').select2()

        //Initialize Select2 Elements
          $('.select2bs4').select2({
          theme: 'bootstrap4'
          });

        $("#example1").DataTable({
        "buttons": [
            'colvis',
            {
            extend:    'pdfHtml5',
            text:      '<i class="fa fa-file-pdf btn btn-danger" ></i>',
            titleAttr: 'Exporter au format PDF',
            download: 'open'
            },
            {
            extend:    'copyHtml5',
            text:      '<i class="fa fa-file btn btn-primary" ></i>',
            titleAttr: 'Copier au format Texte'
            },
            {
            extend:    'excelHtml5',
            text:      '<i class="nav-icon fas fa-file-excel btn btn-success" ></i>',
            titleAttr: 'Exporter vers MS Excel'
            },
        ],
        "responsive": true, "autoWidth": false,"lengthChange": true
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

        $('#example2').DataTable({
        "paging": true,
        "lengthChange": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
        });
    });
</script>
  <!-- {!! Toastr::message() !!} -->
  </body>
  </html>
