<!DOCTYPE html>
  <html lang="en">
      <head>
        <style>
            body{
                font-family: calibri;
            }
        .page-break {
            page-break-after: always;
        }
        table{
            font-size: 10px;
            text-align: center;
            width: 100%;
        }
        .nom{
            text-align: left;
            width: 30%;
        }
        th{
            font-size: 11px;
        }
        </style>
        <link rel="stylesheet" href="{{ asset('Paoul/dist/css/adminlte.min.css') }}">
      </head>
      <body>
            <center>
                <h1>BILAN DES RESULTATS PAR BUREAUX DE VOTES</h1>
            </center>
            <br>
            @foreach($provinces as $province)
                @if($province->resultats()->sum('vote')!=0)
                    <center>
                        <h2>PROVINCE: {{$province->name}} </h2>
                    </center>
                    <hr/>
                    @foreach($province->departments()->orderBy('name')->get() as $departement)
                        @if($departement->resultats()->sum('vote')!=0)
                            <center>
                                <h3>DEPARTEMENT/COMMUNES:  {{$departement->name}} </h3>
                            </center>
                            <hr/>
                            @foreach($departement->districts()->orderBy('name')->get() as $district)
                                @if($district->resultats()->sum('vote')!=0)
                                    <center>
                                        <h4>DISCTRICT/ARRONDISSEMENT/CANTON:  {{$district->name}} </h4>
                                    </center>
                                    <br>
                                    @foreach($district->votingCenters()->orderBy('name')->get() as $votingCenter)
                                        @if($votingCenter->resultats()->sum('vote')!=0)
                                            <center>
                                                <h5>CENTRE DE VOTE:  {{$votingCenter->name}} </h5>
                                            </center>
                                            <br>
                                            @foreach($votingCenter->bureaus()->orderBy('numero')->get() as $bureau)
                                                @if($bureau->resultats()->sum('vote')!=0)
                                                    <center>
                                                        <h6>BUREAU DE VOTE N° {{$bureau->numero}} </h6>
                                                    </center>
                                                    <br>
                                                    <table class="table table-sm table-striped">
                                                        <tr>
                                                            <th>N°</th>
                                                            <th>CANDIDAT / PARTIS</th>
                                                            <th>INSCRITS</th>
                                                            <th>VOTANTS</th>
                                                            <th>BULLETINS BLANCS</th>
                                                            <th>SUFRAGES EXPRIMES</th>
                                                            <th>VOIX OBTENUES</th>
                                                            <th>POURCENTAGES</th>
                                                        </tr>
                                                        @foreach($candidats as $key => $candidat)
                                                            <tr>
                                                                <td>{{$key+1}}</td>
                                                                <td>{{$candidat->nom_params}}</td>
                                                                <td>{{$bureau->inscrit}}</td>
                                                                <td>{{$bureau->votants}}</td>
                                                                <td>{{$bureau->blancs}}</td>
                                                                <td>{{$bureau->sufrage}}</td>
                                                                <td>{{$bureau->resultats()->where('candidat_id', $candidat->id)->sum('vote')}}</td>
                                                                <td>{{$bureau->pourcentage($candidat->id)}} %</td>
                                                            </tr>
                                                        @endforeach
                                                    </table>
                                                    <div class="page-break"></div>
                                                @endif
                                            @endforeach
                                            <div class="page-break"></div>
                                        @endif
                                    @endforeach
                                    <div class="page-break"></div>
                                @endif
                            @endforeach
                            <div class="page-break"></div>
                        @endif
                    @endforeach
                <div class="page-break"></div>
                @endif
            @endforeach
      </body>
  </html>