
<?php $__env->startSection('titre'); ?>
    Etat Général
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1><b><i class="fas fa-shart"></i></b> Etat Par Bureau</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="/">Accueil</a></li>
                            <li class="breadcrumb-item active">Reporting/Bureau</li>
                        </ol>
                    </div>
                </div>
            </div>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <!-- /.card-header -->
                    <div class="col-md-12">
                        <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($province->resultats()->sum('vote')!=0): ?>
                        <div class="card card-success">
                            <div class="card-header">
                                <h3 class="card-title"> <?php echo e($province->name); ?> </h3>

                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                    <?php $__currentLoopData = $province->departments()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $departement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($departement->resultats()->sum('vote')!=0): ?>
                                            <h2>Département/Communes: <?php echo e($departement->name); ?> </h2>
                                            <?php $__currentLoopData = $departement->districts()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $district): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($district->resultats()->sum('vote')!=0): ?>
                                                    <h2>Arrondissement/Canton: <?php echo e($district->name); ?> </h2>
                                                    <?php $__currentLoopData = $district->votingCenters()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $centre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($centre->resultats()->sum('vote')!=0): ?>
                                                            <h2>Centre: <?php echo e($centre->name); ?> </h2>
                                                            <?php $__currentLoopData = $centre->bureaus()->orderBy('numero')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bureau): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <?php if($bureau->resultats()->sum('vote')!=0): ?>
                                                                    <h2> Bureau N°<?php echo e($bureau->numero); ?> </h2>
                                                                    <table id="table2" class="table  table-hover table-sm table-striped">
                                                                        <thead>
                                                                            <tr style="text-align: center;">
                                                                                <th>N°</th>
                                                                                <th>CANDIDATS</th>
                                                                                <th>INSCRITS</th>
                                                                                <th>VOTANTS</th>
                                                                                <th>BULLETINS BLANC</th>
                                                                                <th>SUFRAGES EXPRIMES</th>
                                                                                <th>VOIX OBTENUES</th>
                                                                                <th>POURCENTAGE</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                            <?php $__empty_1 = true; $__currentLoopData = $candidats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                                                <tr style="text-align: center;">
                                                                                    <td><?php echo e($key+1); ?></td>
                                                                                    <td style="text-align: left;" ><?php echo e($value->nom_params); ?></td>
                                                                                    <td> <?php echo e($bureau->inscrit); ?> </td>
                                                                                    <td> <?php echo e($bureau->votants); ?> </td>
                                                                                    <td> <?php echo e($bureau->blancs); ?> </td>
                                                                                    <td> <?php echo e($bureau->resultats()->sum('vote')); ?> </td>
                                                                                    <td> <?php echo e($bureau->resultats()->where('candidat_id', $value->id)->sum('vote')); ?> </td>
                                                                                    <td> <?php echo e($bureau->pourcentage($value->id)); ?>% </td>
                                                                                </tr>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                                                <tr>
                                                                                    <td colspan="5">
                                                                                        <center><i>Aucune donnée trouvée !</i></center>
                                                                                    </td>
                                                                                </tr>
                                                                            <?php endif; ?>
                                                                        </tbody>
                                                                    </table>
                                                                <?php endif; ?>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    
    <!-- ChartJS -->
    <script src="<?php echo e(asset('Paoul/plugins/chart.js/Chart.min.js')); ?>"></script>
     
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\a2o\resources\views/reportings/bureau.blade.php ENDPATH**/ ?>