
<?php $__env->startSection('titre'); ?>
    Etat Général
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1><b><i class="fas fa-shart"></i></b> Etat Général</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="/">Accueil</a></li>
                            <li class="breadcrumb-item active">Reporting/Général</li>
                        </ol>
                    </div>
                </div>
            </div>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <!-- /.card-header -->
                    <div class="col col-md-3">
                        <div class="card card-widget  widget-user">
                            <div class="widget-user-header card-header  bg-info">
                                <h3 class="widget-user-username"> <b><?php echo e($lecandidat->nom_params); ?></b> </h3>
                            </div>
                            <div class="widget-user-image">
                                <img class="img-circle elevation-2" src="<?php echo e(asset('pageauth/images/alternance.png')); ?>" alt="User Avatar">
                            </div>
                            <div class="card-footer">
                                <div class="row">
                                    <div class="col-sm-4 border-right">
                                        <div class="description-block">
                                            <h5 class="description-header" style="font-size: 150%"><?php echo e(($total_votes)); ?></h5>
                                            <span class="description-text">SUFRAGES EXPRIMES</span>
                                        </div>
                                    </div>
                                    <div class="col-sm-4 border-right">
                                        <div class="description-block">
                                            <h5 class="description-header" style="font-size: 150%"><?php echo e(($total_vote_candidat)); ?></h5>
                                            <span class="description-text">VOIX OBTENUE</span>
                                        </div>
                                    </div>
                                    <div class="col-sm-4 border-right">
                                        <div class="description-block">
                                            <h5 class="description-header" style="font-size: 150%"><?php echo e(($taux_vote_candidat)); ?> %</h5>
                                            <span class="description-text">POURCENTAGE</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">REPARTITION PAR PROVINCES DU CANDIDAT <b><?php echo e($lecandidat->nom_params); ?></b></h3>
                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="col-md-12"> 
                                        <b><?php echo e($province->name); ?></b> <span class="float-sm-right"><?php echo e($province->pourcentage_province($lecandidat->id)); ?>%</span>                                  
                                        <div class="progress ">
                                          <div class="progress-bar bg-success" role="progressbar" aria-valuenow="<?php echo e($province->pourcentage_province($lecandidat->id)); ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo e($province->pourcentage_province($lecandidat->id)); ?>%">
                                            <span class="sr-only"><?php echo e($province->pourcentage_province($lecandidat->id)); ?>%</span>
                                          </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                        <a href="/Resultats/Imprimer/Bureau" target="_blanc" class="btn btn-primary btn-block"> IMPRIMER PAR BUREAU </a>
                        <a href="/Resultats/Imprimer/Centre" target="_blanc" class="btn btn-primary btn-block"> IMPRIMER PAR CENTRE </a>
                    </div>
                    <div class="col-md-9">

                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">RESULTATS FINAUX</h3>

                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table id="table1" class="table table-hover table-sm table-striped">
                                            <thead>
                                                <tr style="text-align: center;">
                                                    <th>N°</th>
                                                    <th>CANDIDAT</th>
                                                    <th>VOIX OBTENUES</th>
                                                    <th>POURCENTAGE</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php $__empty_1 = true; $__currentLoopData = $candidats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                    <tr style="text-align: center;">
                                                        <td><?php echo e($key+1); ?></td>
                                                        <td style="text-align: left;" ><?php echo e($value->nom_params); ?></td>
                                                        <td> <?php echo e($value->total_vote); ?> </td>
                                                        <td> <?php echo e($value->pourcentage); ?>% </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                    <tr>
                                                        <td colspan="5">
                                                            <center><i>Aucune donnée trouvée !</i></center>
                                                        </td>
                                                    </tr>
                                                <?php endif; ?>
                                            </tbody>
                                        </table> 
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">BILAN PAR PROVINCE</h3>

                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="chart">
                                          <canvas id="stackedBarChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                                        </div> 
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">RESULTATS FINAUX PAR PROVINCES</h3>

                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="">
                                        <table id="table2" class="table table-responsive table-hover table-sm table-striped">
                                            <thead>
                                                <tr style="text-align: center;">
                                                    <th>N°</th>
                                                    <th>CANDIDATS</th>
                                                    <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <th> <?php echo e($province->name); ?> </th>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <th>VOIX OBTENUES</th>
                                                    <th>POURCENTAGE</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php $__empty_1 = true; $__currentLoopData = $candidats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                    <tr style="text-align: center;">
                                                        <td><?php echo e($key+1); ?></td>
                                                        <td style="text-align: left;" ><?php echo e($value->nom_params); ?></td>
                                                        <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <td> <?php echo e($province->resultats()->where('candidat_id', $value->id)->sum('vote')); ?> </td>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <td> <?php echo e($value->total_vote); ?> </td>
                                                        <td> <?php echo e($value->pourcentage); ?>% </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                    <tr>
                                                        <td colspan="5">
                                                            <center><i>Aucune donnée trouvée !</i></center>
                                                        </td>
                                                    </tr>
                                                <?php endif; ?>
                                            </tbody>
                                        </table> 
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">REPARTITION PAR PROVINCES DES SUFRAGES EXPRIMES</h3>
                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <canvas id="pieChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    
    <!-- ChartJS -->
    <script src="<?php echo e(asset('Paoul/plugins/chart.js/Chart.min.js')); ?>"></script>
     <script>
        $(function () {

            
            var donutData        = {
              labels: [ <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> '<?= $province->name ?>', <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              ],
              datasets: [
                {
                  data: [<?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?= $province->resultats()->sum('vote') ?>, <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>],
                  backgroundColor :  ['#DB4E04','#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de', '#071659', '#075955', '#E5E10B', '#AD1F01', '#72086F', '#1B3925'],
                }
              ]
            }

            //-------------
            //- PIE CHART -
            //-------------
            // Get context with jQuery - using jQuery's .get() method.
            var pieChartCanvas = $('#pieChart').get(0).getContext('2d')
            var pieData        = donutData;
            var pieOptions     = {
              maintainAspectRatio : false,
              responsive : true,
            }
            //Create pie or douhnut chart
            // You can switch between pie and douhnut using the method below.
            new Chart(pieChartCanvas, {
              type: 'pie',
              data: pieData,
              options: pieOptions
            })


            <?php 

                $couleur = ['#DB4E04','#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de', '#071659', '#075955', '#E5E10B', '#AD1F01', '#72086F', '#1B3925'];
            ?>
            //-------------
            //- BAR CHART -
            //-------------
            var areaChartData = {
              labels  : [<?php $__currentLoopData = $candidats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $candidat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> '<?= $candidat->cd_params ?>', <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>],
              datasets: [
                <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                {
                  label               : '<?= $province->name ?>',
                  backgroundColor     : '<?= $couleur[$k] ?>',
                  borderColor         : 'rgba(60,141,188,0.8)',
                  pointRadius          : false,
                  pointColor          : '#3b8bba',
                  pointStrokeColor    : 'rgba(60,141,188,1)',
                  pointHighlightFill  : '#fff',
                  pointHighlightStroke: 'rgba(60,141,188,1)',
                  data                : [<?php $__currentLoopData = $candidats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $candidat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?= $candidat->resultats()->where('province_id', $province->id)->sum('vote') ?>, <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>]
                },
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              ]
            }

            var areaChartOptions = {
              maintainAspectRatio : false,
              responsive : true,
              legend: {
                display: false
              },
              scales: {
                xAxes: [{
                  gridLines : {
                    display : false,
                  }
                }],
                yAxes: [{
                  gridLines : {
                    display : false,
                  }
                }]
              }
            }

            var barChartData = $.extend(true, {}, areaChartData)
            var temp0 = areaChartData.datasets[0]
            var temp1 = areaChartData.datasets[1]
            barChartData.datasets[0] = temp1
            barChartData.datasets[1] = temp0


            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvas = $('#stackedBarChart').get(0).getContext('2d')
            var stackedBarChartData = $.extend(true, {}, barChartData)

            var stackedBarChartOptions = {
              responsive              : true,
              maintainAspectRatio     : false,
              scales: {
                xAxes: [{
                  stacked: true,
                }],
                yAxes: [{
                  stacked: true
                }]
              }
            }

            new Chart(stackedBarChartCanvas, {
              type: 'bar',
              data: stackedBarChartData,
              options: stackedBarChartOptions
            })
            //////////////////////////////////////////
            // repartition par poste
            ///////////////////////////////////////////
            


            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvasPoste = $('#stackedBarChart2').get(0).getContext('2d')
            var stackedBarChartDataPoste = $.extend(true, {}, barChartDataPoste)

            var stackedBarChartOptionsPoste = {
              responsive              : true,
              maintainAspectRatio     : false,
              scales: {
                xAxes: [{
                  stacked: true,
                }],
                yAxes: [{
                  stacked: true
                }]
              }
            }

            new Chart(stackedBarChartCanvasPoste, {
              type: 'bar',
              data: stackedBarChartDataPoste,
              options: stackedBarChartOptionsPoste
            })
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\a2o\resources\views/reportings/general.blade.php ENDPATH**/ ?>