<!DOCTYPE html>
  <html lang="en">
      <head>
        <style>
            body{
                font-family: calibri;
            }
        .page-break {
            page-break-after: always;
        }
        table{
            font-size: 10px;
            text-align: center;
            width: 100%;
        }
        .nom{
            text-align: left;
            width: 30%;
        }
        th{
            font-size: 11px;
        }
        </style>
        <link rel="stylesheet" href="<?php echo e(asset('Paoul/dist/css/adminlte.min.css')); ?>">
      </head>
      <body>
            <center>
                <h1>BILAN DES RESULTATS PAR BUREAUX DE VOTES</h1>
            </center>
            <br>
            <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($province->resultats()->sum('vote')!=0): ?>
                    <center>
                        <h2>PROVINCE: <?php echo e($province->name); ?> </h2>
                    </center>
                    <hr/>
                    <?php $__currentLoopData = $province->departments()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $departement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($departement->resultats()->sum('vote')!=0): ?>
                            <center>
                                <h3>DEPARTEMENT/COMMUNES:  <?php echo e($departement->name); ?> </h3>
                            </center>
                            <hr/>
                            <?php $__currentLoopData = $departement->districts()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $district): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($district->resultats()->sum('vote')!=0): ?>
                                    <center>
                                        <h4>DISCTRICT/ARRONDISSEMENT/CANTON:  <?php echo e($district->name); ?> </h4>
                                    </center>
                                    <br>
                                    <?php $__currentLoopData = $district->votingCenters()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $votingCenter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($votingCenter->resultats()->sum('vote')!=0): ?>
                                            <center>
                                                <h5>CENTRE DE VOTE:  <?php echo e($votingCenter->name); ?> </h5>
                                            </center>
                                            <br>
                                            <?php $__currentLoopData = $votingCenter->bureaus()->orderBy('numero')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bureau): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($bureau->resultats()->sum('vote')!=0): ?>
                                                    <center>
                                                        <h6>BUREAU DE VOTE N° <?php echo e($bureau->numero); ?> </h6>
                                                    </center>
                                                    <br>
                                                    <table class="table table-sm table-striped">
                                                        <tr>
                                                            <th>N°</th>
                                                            <th>CANDIDAT / PARTIS</th>
                                                            <th>INSCRITS</th>
                                                            <th>VOTANTS</th>
                                                            <th>BULLETINS BLANCS</th>
                                                            <th>SUFRAGES EXPRIMES</th>
                                                            <th>VOIX OBTENUES</th>
                                                            <th>POURCENTAGES</th>
                                                        </tr>
                                                        <?php $__currentLoopData = $candidats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $candidat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <tr>
                                                                <td><?php echo e($key+1); ?></td>
                                                                <td><?php echo e($candidat->nom_params); ?></td>
                                                                <td><?php echo e($bureau->inscrit); ?></td>
                                                                <td><?php echo e($bureau->votants); ?></td>
                                                                <td><?php echo e($bureau->blancs); ?></td>
                                                                <td><?php echo e($bureau->sufrage); ?></td>
                                                                <td><?php echo e($bureau->resultats()->where('candidat_id', $candidat->id)->sum('vote')); ?></td>
                                                                <td><?php echo e($bureau->pourcentage($candidat->id)); ?> %</td>
                                                            </tr>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </table>
                                                    <div class="page-break"></div>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <div class="page-break"></div>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <div class="page-break"></div>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <div class="page-break"></div>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <div class="page-break"></div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </body>
  </html><?php /**PATH C:\laragon\www\a2o\resources\views/pdf/bureau.blade.php ENDPATH**/ ?>