<?php

namespace App\Http\Controllers\Admin\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LogoutController extends Controller
{
    /**
     * Handle logout request
     * 
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function handle()
    {
        Auth::guard('admin') ->logout();

        notiflash_toast("success", 'Déconnexion effectuée avec succès. A bientôt !!!');

        return redirect() ->route('app.admin.auth.login');
    }
}
