<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Province;
use App\Models\Representative;
use App\Models\VotingCenter;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index()
    {
        $nbRep = Representative::count();
        $provinces = Province::all();
        $votingCenters = VotingCenter::all();

        $representatives = Representative::all();

        return view('admin.dashboard', compact('nbRep', 'provinces', 'representatives', 'votingCenters'));
    }
}
