<?php

namespace App\Http\Controllers;

use App\Models\Department;
use App\Models\District;
use App\Models\VotingCenter;
use Illuminate\Http\Request;

class DataController extends Controller
{
    public function departments(Request $request)
    {
        $departments = Department::where('province_id', $request->province_id) ->get();

        return response()->json(['departments' =>$departments], 200);
    }

    public function districts(Request $request)
    {
        $districts = District::where('department_id', $request->department_id) ->get();

        return response()->json(['districts' =>$districts], 200);
    }

    public function votingCenters(Request $request)
    {
        $votingCenters = VotingCenter::where('district_id', $request->district_id) ->get();

        return response()->json(['votingCenters' =>$votingCenters], 200);
    }
}
