<?php

namespace App\Http\Controllers;

use App\Models\Habilitations;
use App\Models\Habilitation_user;
use App\Http\Requests\StoreHabilitation_userRequest;
use App\Http\Requests\UpdateHabilitation_userRequest;

use Illuminate\Http\Request;
use Brian2694\Toastr\Facades\Toastr;

class HabilitationUserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }
 
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\StoreHabilitation_userRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
    	$roles = Habilitations::orderBy('code')->get();
        $profilsutilisateur_id = $request->id;
        // je réinitialise les doits
        $params = Habilitation_user::where('profilsutilisateur_id', $request->id);
        $params->delete();
        Toastr::success(" Habilitations réinitialisée avec success", "Gestion des Habilitation");
        // je charge les nouveaux droits
        if(isset($request->tous)){
            foreach ($roles as $key => $value) {
                $habilitation_id = $value->id;
                Habilitation_user::create([
                    'profilsutilisateur_id' => $profilsutilisateur_id,
                    'habilitation_id' => $habilitation_id
                ]);
            }
            Toastr::success("Toutes Habilitations accordées avec success", "Gestion des Habilitation");
        }else{
            foreach ($roles as $key => $value) {
                if(isset($_POST["role".$value->id])){
                    $habilitation_id = $value->id;
                    Habilitation_user::create([
                        'profilsutilisateur_id' => $profilsutilisateur_id,
                        'habilitation_id' => $habilitation_id
                    ]);
                    
                    Toastr::success(" Habilitations: $value->libelle accordée avec success", "Gestion des Habilitation");

                }
            }
        }

        Toastr::success(" $key Habilitations accordées avec success", "Gestion des Habilitation");
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Habilitation_user  $habilitation_user
     * @return \Illuminate\Http\Response
     */
    public function show(Habilitation_user $habilitation_user)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Habilitation_user  $habilitation_user
     * @return \Illuminate\Http\Response
     */
    public function edit(Habilitation_user $habilitation_user)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateHabilitation_userRequest  $request
     * @param  \App\Models\Habilitation_user  $habilitation_user
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateHabilitation_userRequest $request, Habilitation_user $habilitation_user)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Habilitation_user  $habilitation_user
     * @return \Illuminate\Http\Response
     */
    public function destroy(Habilitation_user $habilitation_user)
    {
        //
    }
}
