<?php

namespace App\Http\Controllers;

use App\Models\Representative;
use Illuminate\Http\Request;

class RepresentativeController extends Controller
{
    public function store(Request $request)
    {
        Representative::create([
            "name" => $request ->name,
            "first_name" => $request ->first_name,
            "phone" => $request ->phone,
            "province_id" => $request ->province,
            "department_id" => $request ->department,
            "district_id" => $request ->district,
            "voting_center_id" => $request ->voting_center,
        ]);

        notiflash_toast("success", 'Vos informations ont été enregistrées avec succès.');

        return redirect() ->back();
    }
}
