<?php

namespace App\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Profilsutilisateurs extends Model
{
    use HasFactory;
    protected $fillable = ['code', 'libelle', 'description'];
    
    public function habilitations(){
        return $this->hasMany(Habilitation_user::class, 'profilsutilisateur_id', 'id');
    } 
    public function users(){
        return $this->hasMany(User::class, 'profilsutilisateur_id', 'id');
    } 
}
