<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTparamsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tparams', function (Blueprint $table) {
            $table->id();
            $table->string('cd_tparams');
            $table->string('nom_tparams')->nullable();
            $table->string('obs_tparams')->nullable();
            $table->foreignId('user_id')->index()->default(1);;
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tparams');
    }
}
