@extends('admin.components.layouts.master', ['title' => 'Départements supprimés'])

@section('header_action')
    <a href="{{ route('app.admin.departments.create') }}" class="btn btn-sm btn-success">
        Créer Département
    </a>
    <a href="{{ route('app.admin.departments.index') }}" class="btn btn-sm btn-primary">
        Liste Départements
    </a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Départements supprimés
    </div>
    <div class="card-body">
        @include('admin.department.section.table', ['displayed' => 'deleted'])
    </div>
</div>

@endsection

