
@extends('admin.components.layouts.master', ['title' => 'Editer Département'])

@section('header_action')
    <a href="{{ route('app.admin.departments.index') }}" class="btn btn-sm btn-primary">
        Liste Départements
    </a>
    <a href="{{ route('app.admin.departments.create') }}" class="btn btn-sm btn-success">
        Créer Département
    </a>
@endsection

@section('content')

<div class="row">
    <div class="col-md-3">
        @include('admin.department.section.box-profile', ['page' => 'edit'])
    </div>
    <div class="col-md-9">
        <form method="post" action="{{ route('app.admin.departments.update', ['id' =>$department ->_id])}}" class="card"
            data-parsley-validate>

            <div class="card-header">
                <div class="row">
                    <div class="col-9">
                        Editer Département
                    </div>
                    <div class="col-3 text-right">
                        <button type="submit" class="btn btn-sm btn-primary">
                            Enregistrer
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body">
                @include('admin.department.section.form')
            </div>
        </form>
    </div>
</div>

@endsection

