@extends('admin.components.layouts.master', ['title' => 'Créer Arrondissement'])

@section('header_action')
    <a href="{{ route('app.admin.districts.index') }}" class="btn btn-sm btn-primary">
        Liste Arrondissements
    </a>
    <a href="{{ route('app.admin.districts.deleted') }}" class="btn btn-sm btn-dark">
        Arrondissements supprimés
    </a>
@endsection

@section('content')
<form method="post" action="{{ route('app.admin.districts.store')}}" class="card" data-parsley-validate>
    <div class="card-header">
        <div class="row">
            <div class="col-9">
                Créer Arrondissement
            </div>
            <div class="col-3 text-right">
                <button type="submit" class="btn btn-sm btn-primary">
                    Enregistrer
                </button>
            </div>
        </div>
    </div>
    <div class="card-body">
        @include('admin.district.section.form')
    </div>
</form>
@endsection

