@extends('admin.components.layouts.master', ['title' => 'Arrondissements supprimés'])

@section('header_action')
    <a href="{{ route('app.admin.districts.create') }}" class="btn btn-sm btn-success">
        Créer Arrondissement
    </a>
    <a href="{{ route('app.admin.districts.index') }}" class="btn btn-sm btn-primary">
        Liste Arrondissements
    </a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Arrondissements supprimés
    </div>
    <div class="card-body">
        @include('admin.district.section.table', ['displayed' => 'deleted'])
    </div>
</div>

@endsection

