
@extends('admin.components.layouts.master', ['title' => 'Liste Arrondissements'])

@section('header_action')
<a href="{{ route('app.admin.districts.create') }}" class="btn btn-sm btn-success">
    Créer Arrondissement
</a>
<a href="{{ route('app.admin.districts.deleted') }}" class="btn btn-sm btn-dark">
    Arrondissements supprimés
</a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Liste Arrondissements
    </div>
    <div class="card-body">
        @include('admin.district.section.table', ['displayed' => 'index'])
    </div>
</div>

@endsection