@extends('admin.components.layouts.master', ['title' => 'Nouvelle Permission'])

@section('header_action')
    <a href="{{ route('app.admin.permissions.index') }}" class="btn btn-sm btn-dark mx-3">
        Liste des Permissions 
    </a>
@endsection

@section('content')

<form method="post" action="{{ route('app.admin.permissions.store')}}" class="card" data-parsley-validate>
    <div class="card-header">
        <div class="row">
            <div class="col-9">
                Créer Permission
            </div>
            <div class="col-3 text-right">
                <button type="submit" class="btn btn-sm btn-primary">
                    Enregistrer
                </button>
            </div>
        </div>
    </div>
    <div class="card-body">
        @include('admin.permission.section.form')
    </div>
</form>

@endsection