@extends('admin.components.layouts.master', ['title' => 'Liste des Permissions'])

@section('header_action')
    <a href="{{ route('app.admin.permissions.create') }}" class="btn btn-sm btn-primary mx-3">
        Nouvelle Permission 
    </a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Liste Permissions
    </div>
    <div class="card-body">
        @include('admin.permission.section.table', ['displayed' => 'index'])
    </div>
</div>

@endsection