
@csrf
<div class="form-group">
    <label for="name">Nom</label>
    <input type="text" name="name" id="name" autocomplete="off" required
        value="{{ (isset($permission)) ? $permission ->name : old('name') }}"
        class="form-control @error('name') border border-danger @enderror">
    @error('name') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="display_name">Nom d'affiche</label>
    <input type="text" name="display_name" id="display_name" autocomplete="off" required
        value="{{ (isset($permission)) ? $permission ->display_name : old('display_name') }}"
        class="form-control @error('display_name') border border-danger @enderror">
    @error('display_name') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="description">Description </label>
    <textarea name="description" id="description" cols="3" rows="3" maxlength="100" autocomplete="off"
        class="form-control @error('description') border border-danger @enderror">
                {{ (isset($permission)) ? $permission ->description : old('description') }}
            </textarea>
    @error('description') <p class="text-danger">{{ $message }}</p> @enderror
</div>

