@extends('admin.components.layouts.master', ['title' => 'Créer Province'])

@section('header_action')
    <a href="{{ route('app.admin.provinces.index') }}" class="btn btn-sm btn-primary">
        Liste Provinces
    </a>
    <a href="{{ route('app.admin.provinces.deleted') }}" class="btn btn-sm btn-dark">
        Provinces supprimées
    </a>
@endsection

@section('content')
<form method="post" action="{{ route('app.admin.provinces.store')}}" class="card" data-parsley-validate>
    <div class="card-header">
        <div class="row">
            <div class="col-9">
                Créer Province
            </div>
            <div class="col-3 text-right">
                <button type="submit" class="btn btn-sm btn-primary">
                    Enregistrer
                </button>
            </div>
        </div>
    </div>
    <div class="card-body">
        @include('admin.province.section.form')
    </div>
</form>
@endsection

