<div class="card">
    <div class="card-header">
        <h3 class="card-title">
            <i class="fas fa-info-circle"></i>
            <b>Province :</b> {{ $province ->name }}
        </h3>
    </div>
    <div class="card-body">
        <dl>
            <dt>Nom</dt>
            <dd>{{ $province ->name }}</dd>
            <hr>

            <dt>Description</dt>
            <dd>{{ $province ->description }}</dd>
        </dl>
        <hr>

        <div class="row">
            <div class="col-6">
                @if (isset($page) && $page == 'edit')
                    <a href="{{ route('app.admin.provinces.show', ['id' => $province ->_id]) }}"
                        class="btn btn-primary mx-1 btn-block">
                        <i class="fa fa-info-circle"></i>
                        Afficher
                    </a>
                @endif

                @if (isset($page) && $page == 'show')
                    <a href="{{ route('app.admin.provinces.edit', ['id' => $province ->_id]) }}"
                        class="btn btn-warning mx-1 btn-block">
                        <i class="fa fa-pencil-alt"></i>
                        Editer
                    </a>
                @endif
            </div>
            <div class="col-6">
                <a href="{{ route('app.admin.provinces.delete', ['id' => $province ->_id]) }}"
                    class="btn btn-danger mx-1 btn-block">
                    <i class="fa fa-trash-alt"></i>
                    Supprimer
                </a>
            </div>
        </div>
    </div>
</div>