
@if ($representatives !== null && $representatives ->count() !== 0)
    <table class="table table-bordered table-hover" id="dt">
        <thead>
            <tr>
                <th>Nom</th>
                <th>Prénom</th>
                <th>Téléphone</th>
                <th>Province</th>
                <th>Département</th>
                <th>Arrondissement</th>
                <th>Centre de vote</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($representatives as $data)
                <tr>
                    <td>{{ $data ->name }}</td>
                    <td>{{ $data ->first_name }}</td>
                    <td>{{ $data ->phone }}</td>
                    <td>{{ $data ->province ->name }}</td>
                    <td>{{ $data ->department ->name }}</td>
                    <td>{{ $data ->district ->name }}</td>
                    <td>{{ $data ->votingCenter ->name }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
@else
    @if (isset($displayed) && $displayed === 'deleted')
        Aucune données supprimées disponibles
    @else
        Aucune données disponibles
    @endif
@endif
