@extends('admin.components.layouts.master', ['title' => 'Liste des rôles'])

@section('header_action')
    <a href="{{ route('app.admin.roles.create') }}" class="btn btn-sm btn-primary mx-3">
        Nouveau rôle 
    </a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Liste Rôles
    </div>
    <div class="card-body">
        @include('admin.role.section.table', ['displayed' => 'index'])
    </div>
</div>

@endsection