@extends('admin.components.layouts.master', ['title' => 'Créer Centre de vote'])

@section('header_action')
    <a href="{{ route('app.admin.voting-centers.index') }}" class="btn btn-sm btn-primary">
        Liste Centre de votes
    </a>
    <a href="{{ route('app.admin.voting-centers.deleted') }}" class="btn btn-sm btn-dark">
        Centre de votes supprimés
    </a>
@endsection

@section('content')
<form method="post" action="{{ route('app.admin.voting-centers.store')}}" class="card" data-parsley-validate>
    <div class="card-header">
        <div class="row">
            <div class="col-9">
                Créer Centre de vote
            </div>
            <div class="col-3 text-right">
                <button type="submit" class="btn btn-sm btn-primary">
                    Enregistrer
                </button>
            </div>
        </div>
    </div>
    <div class="card-body">
        @include('admin.voting-center.section.form')
    </div>
</form>
@endsection

