@extends('admin.components.layouts.master', ['title' => 'Centre de votes supprimés'])

@section('header_action')
    <a href="{{ route('app.admin.voting-centers.create') }}" class="btn btn-sm btn-success">
        Créer Centre de vote
    </a>
    <a href="{{ route('app.admin.voting-centers.index') }}" class="btn btn-sm btn-primary">
        Liste Centre de votes
    </a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Centre de votes supprimés
    </div>
    <div class="card-body">
        @include('admin.voting-center.section.table', ['displayed' => 'deleted'])
    </div>
</div>

@endsection

