
@extends('admin.components.layouts.master', ['title' => 'Liste Centre de votes'])

@section('header_action')
<a href="{{ route('app.admin.voting-centers.create') }}" class="btn btn-sm btn-success">
    Créer Centre de vote
</a>
<a href="{{ route('app.admin.voting-centers.deleted') }}" class="btn btn-sm btn-dark">
    Centre de votes supprimés
</a>
@endsection

@section('content')

<div class="card">
    <div class="card-header">
        Liste Centre de votes
    </div>
    <div class="card-body">
        @include('admin.voting-center.section.table', ['displayed' => 'index'])
    </div>
</div>

@endsection