<!DOCTYPE html>
  <html lang="en">
      <head>
        <style>
            body{
                font-family: calibri;
            }
        .page-break {
            page-break-after: always;
        }
        table{
            font-size: 10px;
            text-align: center;
            width: 100%;
        }
        .nom{
            text-align: left;
            width: 30%;
        }
        th{
            font-size: 11px;
        }
        </style>
        <link rel="stylesheet" href="{{ asset('Paoul/dist/css/adminlte.min.css') }}">
      </head>
      <body>
            <center>
                <h1>BILAN DES RESULTATS PAR PROVINCES</h1>
            </center>
            <br>
            @foreach($provinces as $province)
                @if($province->resultats()->sum('vote')!=0)
                    <center>
                        <h2>PROVINCE: {{$province->name}} </h2>
                    </center>
                    <hr/>
                    <table class="table table-sm table-striped">
                        <tr>
                            <th>N°</th>
                            <th>CANDIDAT / PARTIS</th>
                            <th>INSCRITS</th>
                            <th>VOTANTS</th>
                            <th>BULLETINS BLANCS</th>
                            <th>SUFRAGES EXPRIMES</th>
                            <th>VOIX OBTENUES</th>
                            <th>POURCENTAGES</th>
                        </tr>
                        @foreach($candidats as $key => $candidat)
                            <tr>
                                <td>{{$key+1}}</td>
                                <td>{{$candidat->nom_params}}</td>
                                <td>{{$province->bureaus()->sum('inscrit')}}</td>
                                <td>{{$province->bureaus()->sum('votants')}}</td>
                                <td>{{$province->bureaus()->sum('blancs')}}</td>
                                <td>{{$province->bureaus()->sum('sufrage')}}</td>
                                <td>{{$province->resultats()->where('candidat_id', $candidat->id)->sum('vote')}}</td>
                                <td>{{$province->pourcentage($candidat->id)}} %</td>
                            </tr>
                        @endforeach
                    </table>
                <div class="page-break"></div>
                @endif
            @endforeach
      </body>
  </html>