
<?php $__env->startSection('titre'); ?>
    Gestion des Provinces
<?php $__env->stopSection(); ?>
<?php $__env->startSection('header'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>GESTION DES PROVINCES</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="index.php">Accueil</a></li>
                            <li class="breadcrumb-item active">Gestion des Provinces</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- modal qui ajoute -->
                <div class="modal fade" id="ajouter">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" style="width: 100%; text-align:center;">AJOUTER UNE PROVINCE</h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="<?php echo e(route('ajouter.province')); ?>" method="POST" >
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->id); ?>">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOM</label>
                                                <input type="text" name = "name" class="form-control" value="" required />
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>DESCRIPTION</label>
                                                <input type="text" name = "description" class="form-control" value="" required />
                                            </div>
                                        </div>
                                    </div>

                            </div>
                            <div class="modal-footer justify-content-between">
                                    <button type="button" class="btn btn-primary float-left"  style="color:white;" data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; </B></button>
                                    <button type="submit" name="ajouter" class="btn btn-success float-right">
                                        <B><i class="fas fa-save"></i>&nbsp;&nbsp; SAUVEGARDER</B>
                                    </button>
                                </form>
                            </div>
                        </div>
                    <!-- /.modal-content -->
                    </div>
                    <!-- /.modal-dialog -->
                </div>
                <!-- /.modal -->
                <!-- /.row -->

                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title" style="width:100%"><span data-toggle="modal" data-target="#ajouter" title="CLIQUER POUR AJOUTER" class="float-right btn"> <i class="fas fa-plus-circle  text-primary" style="font-size:30px"></i> </span></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <div class="card-body table-responsive p-0">
                        <table id="example1" class="table table-hover table-sm table-striped">
                            <thead>
                                <tr style="text-align: center;">
                                    <th>N°</th>
                                    <th>NOM</th>
                                    <th>DESCRIPTION</th>
                                    <th>Nbr Dep</th>
                                    <th>ACTIONS</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr style="text-align: center;">
                                        <td><?php echo e($key+1); ?></td>
                                        <td><?php echo e($value->name); ?></td>
                                        <td><?php echo e($value->description); ?></td>
                                        <td><?php echo e($value->departments()->count()); ?></td>
                                        <td>
                                            <center>
                                            <div class="btn-group">
                                                <button type="button" data-toggle="modal" data-target="#consultpart<?php echo e($value->id); ?>" title="CLIQUER POUR CONSULTER" class="btn btn-xs btn-outline-info">
                                                <i class="fas fa-eye "></i>
                                                </button>
                                                <button type="button" data-toggle="modal" data-target="#modifpart<?php echo e($value->id); ?>" title="CLIQUER POUR MODIFIER" class="btn btn-xs btn-outline-success">
                                                <i class="fas fa-edit "></i>
                                                </button>
                                                <button type="button" data-toggle="modal" data-target="#supprpart<?php echo e($value->id); ?>" title="CLIQUER POUR SUPPRIMER" class="btn btn-xs btn-outline-danger">
                                                <i class="fas fa-trash"></i>
                                                </button>
                                            </div>
                                            </center>
                                        </td>
                                    </tr>
                                    <!-- modal qui affiche les détails -->
                                    <div class="modal fade" id="consultpart<?php echo e($value->id); ?>">
                                        <div class="modal-dialog modal-sm">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" style="width: 100%; text-align:center;">DETAILS SUR LA PROVINCE</h4>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col-sm-12">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>NOM</label>
                                                                <input type="text" name = "cd_params" value = "<?php echo e($value->name); ?>" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>DESCRIPTION</label>
                                                                <input type="text" name = "description"  value = "<?php echo e($value->description); ?>" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!-- /.row -->
                                                </div>
                                                <div class="modal-footer justify-content-between">
                                                    <button type="button" class="btn btn-block btn-primary float-left"   data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; RETOURNER</B></button>
                                                </div>
                                            </div>
                                        <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                    </div>
                                    <!-- /.modal -->
                                    <!-- modal qui affiche la modification -->
                                        <div class="modal fade" id="modifpart<?php echo e($value->id); ?>">
                                            <div class="modal-dialog modal-sm">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h4 class="modal-title" style="width: 100%; text-align:center;">MODIFIER LA PROVINCE</h4>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">

                                                        <form action="<?php echo e(route('modifier.province')); ?>" method="POST" enctype="multipart/form-data">
                                                            <?php echo csrf_field(); ?>
                                                            <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->id); ?>">
                                                            <input type="hidden" name="id" value="<?php echo e($value->id); ?>">
                                                            <div class="row">
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>NOM</label>
                                                                        <input type="text" name = "name" value = "<?php echo e($value->name); ?>"  class="form-control" value="" required />
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>DESCRIPTION</label>
                                                                        <input type="text" name = "description"  value = "<?php echo e($value->description); ?>" class="form-control" value="" required />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                    </div>
                                                    <div class="modal-footer justify-content-between">
                                                        <button type="button" class="btn btn-primary float-left"   data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; </B></button>
                                                        <button type="submit" name="modifier" class="btn btn-warning float-right">
                                                            <B><i class='fas fa-recycle'></i>&nbsp;&nbsp;APPLIQUER</B>
                                                        </button>
                                                        </form>
                                                    </div>
                                                </div>
                                            <!-- /.modal-content -->
                                            </div>
                                            <!-- /.modal-dialog -->
                                        </div>
                                    <!-- /.modal -->

                                    <!-- modal qui affiche la suppression -->
                                    <div class="modal fade" id="supprpart<?php echo e($value->id); ?>">
                                        <div class="modal-dialog modal-sm">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" style="width: 100%; text-align:center;">SUPPRIMER LA PROVINCE</h4>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="alert alert-danger" role="alert">
                                                        <h4 class="alert-heading">SUPPRESSION</h4>
                                                        <p>Souhaitez-vous supprimer définitivement cet élément de votre base de donnée ?</p>
                                                        <p class="mb-0">La suppréssion définitive est irréversible et non conseillée.</p>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-sm-4">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>NOM</label>
                                                                <input type="text" name = "name" value = "<?php echo e($value->name); ?>" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-4">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>DESCRIPTION</label>
                                                                <input type="text" name = "description"  value = "<?php echo e($value->description); ?>" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                    <div class="modal-footer justify-content-between">
                                                    <div class="col col-md-2">
                                                        <button type="button" class="btn btn-primary float-left"  data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; </B></button>
                                                    </div>
                                                    <div class="col col-md-4">

                                                    <form action="<?php echo e(route('supprimer.province')); ?>" method="POST" enctype="multipart/form-data">
                                                            <?php echo csrf_field(); ?>
                                                            <input type="hidden" name="id" value="<?php echo e($value->id); ?>">
                                                            <button type="submit" class="btn btn-danger float-right">
                                                                <B><i class="fas fa-trash-alt"></i>&nbsp;&nbsp;CONFIRMER</B>
                                                            </button>
                                                        </a>
                                                    </form>
                                                    </div>
                                                </div>
                                            </div>
                                        <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                    </div>
                                    <!-- /.modal -->
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td colspan="5">
                                            <center><i>Aucune donnée trouvée !</i></center>
                                        </td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
            </div><!-- /.container-fluid -->
        </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\a2o\resources\views/organisations/provinces.blade.php ENDPATH**/ ?>