
<?php $__env->startSection('titre'); ?>
    Ajouter les votes
<?php $__env->stopSection(); ?>
<?php $__env->startSection('header'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Enrégistrement des résultats</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="index.php">Accueil</a></li>
                            <li class="breadcrumb-item active">Résultats/Enregitrements</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- modal qui ajoute -->
                <div class="row">
                    <div class="col col-sm-12 col-md-12">

                        <div class="card card-success">
                            <div class="card-header">
                                <h3 class="card-title">ENREGISTREMENT DES RESULTATS PAR CENTRE</h3>
                            </div>
                            <div class="card-body">
                                <form action="<?php echo e(route('ajouter.vote')); ?>" method="POST" >
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->id); ?>">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>PROVINCE</label>
                                                <select id="province" class="form-control select2" name="province_id" onchange="populate_dep(this.id, 'departement')">
                                                    <option disabled selected >--Choisir la province--</option>
                                                    <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($province->id); ?>" >
                                                            <?php echo e($province->name); ?>

                                                        </option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>COMMUNE/DEPARTEMENT</label>
                                                <select id="departement" class="form-control select2" name="department_id"  onchange="populate_dist(this.id, 'district')" required>
                                                    <option disabled selected>--Choisissez le province--</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>DISTRICT/ARRONDISSEMENT</label>
                                                <select id="district" class="form-control select2" name="district_id"  onchange="populate_centre(this.id, 'centre')"  required>
                                                    <option disabled selected>--Choisissez le département--</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>CENTRE DE VOTE</label>
                                                <select id="centre" class="form-control select2" name="voting_center_id" required>
                                                    <option disabled selected>--Choisissez le district--</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>BUREAU DE VOTE</label>
                                                <select id="bureau" class="form-control select2" name="bureau_id"  required>
                                                    <option disabled selected>--Choisissez le district--</option>
                                                    <?php for($i=1; $i<=15; $i++): ?>
                                                        <option value="<?php echo e($i); ?>" >Bureu N° <?php echo e($i); ?> </option>
                                                    <?php endfor; ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOMBRE D'INSCRITS</label>
                                                <input class="form-control" name="inscrit" id="inscrit">
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOMBRE DE VOTANTS</label>
                                                <input class="form-control" name="votants" id="votants" readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>BULLETINS BLANCS</label>
                                                <input class="form-control" name="blancs" id="blancs">
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>SUFRAGES EXPRIMES</label>
                                                <input class="form-control" name="exprimes" id="exprimes" readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>CANDIDATS</label>
                                                <select id="candidats" class="form-control select2" name="candidat_id" required>
                                                    <?php $__currentLoopData = $candidats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $candidat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($candidat->id); ?>" >
                                                            <?php echo e($candidat->nom_params); ?>

                                                        </option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOMBRE DE VOIX OBTENUES</label>
                                                <input type="number" name = "vote" class="form-control" value="" required />
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <button type="submit" name="ajouter" class="btn btn-success float-right">
                                                <B><i class="fas fa-save"></i>&nbsp;&nbsp; SAUVEGARDER</B>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>

    <script type="text/javascript">
        function populate_dep(s1,s2){
            var s1 = document.getElementById(s1);
            var s2 = document.getElementById(s2);
            s2.innerHTML = "";
            <?php foreach($provinces as $province): ?>
            if(s1.value == "<?php echo e($province->id); ?>"){
                var optionArray = ["0| Choisir le département"
                                        <?php $__empty_1 = true; $__currentLoopData = $province->departments()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $departement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            ,"<?php echo e($departement->id); ?>||<?php echo e($departement->name); ?>"
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    ];
            }
            <?php endforeach; ?>

            for(var option in optionArray){
                var pair = optionArray[option].split("||");
                var newOption = document.createElement("option");
                newOption.value = pair[0];
                newOption.innerHTML = pair[1];
                s2.options.add(newOption);
            }
        }
        function populate_dist(s1,s2){
            var s1 = document.getElementById(s1);
            var s2 = document.getElementById(s2);
            s2.innerHTML = "";
            <?php foreach($departements as $departement): ?>
            if(s1.value == "<?php echo e($departement->id); ?>"){
                var optionArray = ["0| Choisir la districte"
                                        <?php $__empty_2 = true; $__currentLoopData = $departement->districts()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $districte): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                            ,"<?php echo e($districte->id); ?>||<?php echo e($districte->name); ?>"
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    ];
            }
            <?php endforeach; ?>

            for(var option in optionArray){
                var pair = optionArray[option].split("||");
                var newOption = document.createElement("option");
                newOption.value = pair[0];
                newOption.innerHTML = pair[1];
                s2.options.add(newOption);
            }
        }
        function populate_centre(s1,s2){
            var s1 = document.getElementById(s1);
            var s2 = document.getElementById(s2);
            s2.innerHTML = "";
            <?php foreach($districts as $district): ?>
            if(s1.value == "<?php echo e($district->id); ?>"){
                var optionArray = ["0| Choisir le centre"
                                        <?php $__empty_3 = true; $__currentLoopData = $district->votingCenters()->orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $centre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_3 = false; ?>
                                            ,"<?php echo e($centre->id); ?>||<?php echo e($centre->name); ?>"
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    ];
            }
            <?php endforeach; ?>

            for(var option in optionArray){
                var pair = optionArray[option].split("||");
                var newOption = document.createElement("option");
                newOption.value = pair[0];
                newOption.innerHTML = pair[1];
                s2.options.add(newOption);
            }
        }

    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\a2o\resources\views/organisations/ajout_vote.blade.php ENDPATH**/ ?>